Subject: RE: cygwin 1.3.[23] grindingly slow
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 9 Oct 2001 09:56:58 +0200

[email-masked] schrieb am 2001-10-09, 10:42:

>[...]
>> Is it faster or slower if HOMEDRIVE and HOMEPATH is set?
>> What is HOMEPATH and HOMEDRIVE? Aren't that Windows environment
>> variables? I never used them for Cygwin.
>
>I tested the patch on a (big) recursive make, it improved time from
>12minutes to 10minutes.

About 15%, that is not bad.

>I used strace to look for performance bottlenecks.
>
>The patch made the improvement if HOMEDRIVE and HOMEPATH are set,
>because (at least in my test) doing a query for user information (using
>NetUserGetInfo() API) seems to be slow.
>
>YMMV. This is precisely the kind of feedback that I was interested in.
>There is no point in submitting a patch if it does not make an
>improvement :)
>
>FYI: I originally made the patch to snapshot cygwin-snapshot-20011001-1.

It applies correct to CVS sources.

>Now, I wonder if all I have actually saved is some DLL loading time: and
>that you would only see a benefit during a big job, such as, for example
>a recursive make???

If that causes a speedup about 15% it is o.k. to apply it.

>[snip]
>> So at least ls -lRa is *faster* without the patch (which is
>> version cygwin-1.3.3-2), the tests with the patch is a recent
>> debugging cygwin (pre-1.3.4, maybe this is a little slower
>> because of debugging?).
>
>Could you try again with a non-debugging version?

I'm just building a fresh debug-version.  I will strip
it off then and try with both to see if makes a difference.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/